-- CreateTable
CREATE TABLE "Animal" (
    "id" TEXT NOT NULL PRIMARY KEY,
    "name" TEXT NOT NULL,
    "description" TEXT NOT NULL,
    "age" INTEGER NOT NULL,
    "sex" BOOLEAN NOT NULL,
    "type" TEXT NOT NULL,
    "acceptedRequestId" TEXT,
    "addedAt" DATETIME NOT NULL,
    "adoptedAt" DATETIME,
    CONSTRAINT "Animal_acceptedRequestId_fkey" FOREIGN KEY ("acceptedRequestId") REFERENCES "Request" ("id") ON DELETE SET NULL ON UPDATE CASCADE
);

-- CreateTable
CREATE TABLE "Request" (
    "id" TEXT NOT NULL PRIMARY KEY,
    "from" TEXT NOT NULL,
    "isAccepted" BOOLEAN NOT NULL,
    "animalId" TEXT NOT NULL,
    "createdAt" DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "deletedAt" DATETIME,
    CONSTRAINT "Request_animalId_fkey" FOREIGN KEY ("animalId") REFERENCES "Animal" ("id") ON DELETE RESTRICT ON UPDATE CASCADE
);
