import Header from '../Header/Header';
import { animal } from '../../models/types';
import './animalPage.css';

export const AnimalPage = () => {
  {/* TODO: Fetch data from endpoint 'http://localhost:4000/animals/:id' using SWR.
      For accessing url parameters you can use function useParams from react-router-dom.
  */}

  {/* Sample data, replace them by fetched data */}
  const animal: animal = {
    id: "2afb0aa5-7c98-40cf-8965-46b44fbb2f34",
    name: "Tigrík",
    description: "Ahojte, volám sa Tigrík a som krásny 8 mesačný kocúrik. Do útulku som sa dostal ako malé mačiatko, žiaľ stále o mňa nikto nemá záujem, no ja neprestávam veriť, že aj ja raz nájdem skutočný domov, kde budem ľúbený. Som stále hravé mačiatko, prítulný, kontaktný kocúrik. Som zvyknutý aj na spoločnosť svojich mačacích kamošov. Rád by som našiel domov vnútri, kde budem blízko svojej rodinky. Ak hľadáte nenáročného, vďačného spoločníka, čakám tu práve na vás.",
    age: 0.9,
    sex: true,
    type: "cat",
    picture: "/images/tigrik.webp",
    addedAt: new Date("1970-01-01T00:00:00.000Z"),
  }

  return (
    <div className="animal-container">
      <Header />
      <main className="animal">
        <div className="animal__name">
            {animal.name}
        </div>
        <div className="animal__main-info">
          <div className="animal-image-container">
            <img className="image" src={animal.picture} alt="Animal"/>
          </div>
          <p className="animal__description">{animal.description}</p>
        </div>
        <div className="animal__additional-info">
          <p><b>Age: </b> {animal.age} years</p>
          <p><b>Sex: </b>{animal.sex ? "female" : "male"}</p>
          {/* TODO: Create a function that will send post request to endpoint 'http://localhost:4000/requests'
              The function will create an adoption request for the animal.
          */}
          <button className="button button--adopt">
            Adopt me
          </button>
        </div>
      </main>
    </div>
  )
};

export default AnimalPage;
