import { useForm } from 'react-hook-form';
import './createAnimal.css';
import Header from '../Header/Header';

enum Type {
  Cat = 'cat',
  Dog = 'dog',
}

enum Sex {
  Male,
  Female,
}

export const CreateAnimal = () => {
  const { register, handleSubmit, formState: { errors } } = useForm();

  return (
    <div>
      <Header/>
      {/* TODO: Create a function that will store an animal by calling endpoint 'http://localhost:4000/animals'
          Pass data from form and use 'Content-Type': 'application/json' header.
      */}
      <form className="form" onSubmit={(e) => (e.preventDefault())}>
        <label>Name:</label>
        <input
          className={`text-field ${errors.name && 'text-field--error'}`}
          {...register('name', { required: true })}
        />

        <label>Description:</label>
        <textarea
          className={`text-field ${errors.description && 'text-field--error'}`}
          {...register('description', { required: true })}
        />

        <label>Age:</label>
        <input
          className={`text-field ${errors.age && 'text-field--error'}`}
          {...register('age', { required: true })}
          type="number" step=".1"
        />

        <label>Type:</label>
        <select className="button" {...register('type', { required: true })}>
          <option value={Type.Dog}>Dog</option>
          <option value={Type.Cat}>Cat</option>
        </select>

        <label>Sex:</label>
        <select className="button" {...register('sex', { required: true })}>
          <option value={Sex.Male}>Male</option>
          <option value={Sex.Female}>Female</option>
        </select>

        <label>Picture:</label>
        <input
          className={`text-field ${errors.picture && 'text-field--error'}`}
          {...register('picture', { required: true })}
        />

        <input className="button" type="submit"/>
      </form>
    </div>
  );
};

export default CreateAnimal;
